
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.PrintStream;
import java.util.Scanner;

/**
 * Power Square
 *
 */
public class Puzzle {
	static final int maxPuzzle = 1000;	// size of puzzle

	public static void main(String[] args) throws Exception {
		// read size of puzzle
		Scanner sc = new Scanner( System.in );
		String line = sc.nextLine();
		Scanner lsc = new Scanner( line );

		int puzzleSize = lsc.nextInt();
		int puzzle[] = new int[puzzleSize*puzzleSize];

		// read contents of puzzle
		line = sc.nextLine();
		lsc = new Scanner( line );
		for (int i = 0; i< puzzleSize*puzzleSize; i++) {
			puzzle[i] = lsc.nextInt();
		}

		// perform commands
		while (sc.hasNextLine()) {
			line = sc.nextLine();
			lsc = new Scanner( line );

			String s = lsc.next();
			if (s.equals("SHOW")) {
				printPuzzle(puzzleSize, puzzle);
			} 
			else if (s.equals("CHECK")) {

			} 
			else if (s.equals("SWAP")) {
				int target1 = lsc.nextInt();
				int target2 = lsc.nextInt();

			}
			else {
				System.out.println("Illegal input " + s);
				return;
			}
		}
	}

	public static void printPuzzle(int puzzleSize, int p[]) {
		for (int i = 0; i<puzzleSize*puzzleSize ; i++) {
			String leadingSpace = "";
			if (p[i] < 10)
				leadingSpace = "  ";
			else if (p[i] < 100) 
				leadingSpace = " ";

			System.out.print(leadingSpace + p[i] + " ");
			if (((i+1) % puzzleSize) == 0) 
				System.out.println();
		}
		System.out.println();
	}
}
